Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1765265 - Review Request: python-identify - File identification library for Python
Summary: Review Request: python-identify - File identification library for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1769297 1771215
Blocks: pre-commit
TreeView+ depends on / blocked
 
Reported: 2019-10-24 16:59 UTC by Artem
Modified: 2020-01-03 04:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-10 02:54:29 UTC
Type: Bug
Embargoed:
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-10-24 16:59:08 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/python-packages/fedora-31-x86_64/01079203-python-identify/python-identify.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/python-packages/fedora-31-x86_64/01079203-python-identify/python-identify-1.4.7-1.fc31.src.rpm

Description:
Given a file (or some information about a file), return a set of standardized
tags identifying what the file is.


Fedora Account System Username: atim

Comment 2 Elliott Sales de Andrade 2019-11-08 03:52:48 UTC
identify/vendor/licenses.py is not a licence for this code; it's a list
of licenses to detect. It should not be marked as %license.

Can you not skip tests that use editdistance instead of skipping all
tests? Or better yet is to package it too.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-identify-1.4.7-2.fc32.noarch.rpm
          python-identify-1.4.7-2.fc32.src.rpm
python3-identify.noarch: W: no-manual-page-for-binary identify-cli
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
python3-identify.noarch: W: invalid-url URL: https://github.com/chriskuehl/identify <urlopen error [Errno -2] Name or service not known>
python3-identify.noarch: W: no-manual-page-for-binary identify-cli
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://github.com/chriskuehl/identify/archive/v1.4.7/python-identify-1.4.7.tar.gz :
  CHECKSUM(SHA256) this package     : 26c885fa158aeb16ecfc4ed92f4a380e9b3ed486d60188e30a765e0bb4759e67
  CHECKSUM(SHA256) upstream package : 26c885fa158aeb16ecfc4ed92f4a380e9b3ed486d60188e30a765e0bb4759e67


Requires
--------
python3-identify (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.8dist(setuptools)



Provides
--------
python3-identify:
    python-identify
    python3-identify
    python3.8dist(identify)
    python3dist(identify)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1765265 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Generic, Shell-api, Python
Disabled plugins: fonts, C/C++, Perl, PHP, Java, R, SugarActivity, Ocaml, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Aniket Pradhan 2019-11-22 10:13:12 UTC
Sorry for the delay... had to wait for the rawhide servers to sync the updated repo list.

Anyhow, the package: python-editdistance has been pushed off onto rawhide. Updates for f31, f30 and f29 are also pushed on Bodhi, and are available in the testing repos.

Comment 6 Elliott Sales de Andrade 2019-11-25 08:24:09 UTC
Approved.

But do note that you forgot to remove the comment about editdistance being unavailable.

Comment 7 Artem 2019-11-25 08:25:32 UTC
> But do note that you forgot to remove the comment about editdistance being unavailable.

I'll fix this during import. TY.

Comment 8 Gwyn Ciesla 2019-11-27 13:11:17 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-identify

Comment 9 Ben Cotton 2019-11-27 14:16:36 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Fedora Update System 2019-12-01 04:41:19 UTC
FEDORA-2019-602a06c699 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-602a06c699

Comment 11 Fedora Update System 2019-12-02 17:37:38 UTC
python-identify-1.4.7-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-602a06c699

Comment 12 Fedora Update System 2019-12-10 02:54:29 UTC
python-identify-1.4.7-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.